Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class QueryBuilder.ArithmeticBuilder

    java.lang.Object
      org.modeshape.jcr.query.QueryBuilder.ArithmeticBuilder

Enclosing class:
  QueryBuilder

    public class QueryBuilder.ArithmeticBuilder

extends Object

Field Summary
`protected QueryBuilder.ComparisonBuilder` | `comparisonBuilder`
`protected DynamicOperand` | `left`
`protected ArithmeticOperator` | `operator`
`protected QueryBuilder.ArithmeticBuilder` | `parent`

Constructor Summary
`protected` | `QueryBuilder.ArithmeticBuilder(ArithmeticOperator operator, QueryBuilder.ComparisonBuilder comparisonBuilder, DynamicOperand left, QueryBuilder.ArithmeticBuilder parent)`

Method Summary
`protected QueryBuilder.ComparisonBuilder` | `comparisonBuilder(DynamicOperand right)`
`QueryBuilder.ComparisonBuilder` | `depth(String table)` Constrains the nodes in the the supplied table based upon criteria on the node's depth.
`QueryBuilder.ComparisonBuilder` | `fullTextSearchScore(String table)` Constrains the nodes in the the supplied table such that they must satisfy the supplied full-text search on the nodes' property values.
`QueryBuilder.ComparisonBuilder` | `length(String table, String property)` Constrains the nodes in the the supplied table such that they must have a property value whose length matches the criteria.
`QueryBuilder.ComparisonBuilder` | `propertyValue(String table, String property)` Constrains the nodes in the the supplied table such that they must have a matching value for the named property.
`QueryBuilder.ComparisonBuilder` | `referenceValue(String table)` Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's reference properties.
`QueryBuilder.ComparisonBuilder` | `referenceValue(String table, String property)` Constrains the nodes in the the supplied table such that they must have a matching value for the named property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected final QueryBuilder.ArithmeticBuilder parent

### operator

    protected final ArithmeticOperator operator

### left

    protected DynamicOperand left

### comparisonBuilder

    protected final QueryBuilder.ComparisonBuilder comparisonBuilder

Constructor Detail

### QueryBuilder.ArithmeticBuilder

    protected QueryBuilder.ArithmeticBuilder(ArithmeticOperator operator,
                                             QueryBuilder.ComparisonBuilder comparisonBuilder,
                                             DynamicOperand left,
                                             QueryBuilder.ArithmeticBuilder parent)

Method Detail

### length

    public QueryBuilder.ComparisonBuilder length(String table,
                                                 String property)

  Constrains the nodes in the the supplied table such that they must have a property value whose length matches the criteria.

  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
    `property` - the name of the property; may not be null and must refer to a valid property name
  Returns:
    the interface for completing the value portion of the criteria specification; never null

### propertyValue

    public QueryBuilder.ComparisonBuilder propertyValue(String table,
                                                        String property)

  Constrains the nodes in the the supplied table such that they must have a matching value for the named property.

  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
    `property` - the name of the property; may not be null and must refer to a valid property name
  Returns:
    the interface for completing the value portion of the criteria specification; never null

### referenceValue

    public QueryBuilder.ComparisonBuilder referenceValue(String table)

  Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's reference properties.

  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the value portion of the criteria specification; never null

### referenceValue

    public QueryBuilder.ComparisonBuilder referenceValue(String table,
                                                         String property)

  Constrains the nodes in the the supplied table such that they must have a matching value for the named property.

  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
    `property` - the name of the reference property; may be null if the constraint applies to all/any reference properties on the node
  Returns:
    the interface for completing the value portion of the criteria specification; never null

### fullTextSearchScore

    public QueryBuilder.ComparisonBuilder fullTextSearchScore(String table)

  Constrains the nodes in the the supplied table such that they must satisfy the supplied full-text search on the nodes' property values.

  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the value portion of the criteria specification; never null

### depth

    public QueryBuilder.ComparisonBuilder depth(String table)

  Constrains the nodes in the the supplied table based upon criteria on the node's depth.

  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the value portion of the criteria specification; never null

### comparisonBuilder

    protected QueryBuilder.ComparisonBuilder comparisonBuilder(DynamicOperand right)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.